curl --request POST \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages/lease \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_limit": 1
}
'{
"lease_id": null,
"leased_until": null,
"results": [],
"inbox_attributes": {
"status": "active",
"paused_reason": null
}
}Inbox Messages
Lease messages from an inbox
Lease messages from an inbox for the authenticated user.
POST
/
trigger-inbox
/
v1
/
inboxes
/
{inbox_id}
/
messages
/
lease
curl --request POST \
--url https://api.zapier.com/trigger-inbox/v1/inboxes/{inbox_id}/messages/lease \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"lease_limit": 1
}
'{
"lease_id": null,
"leased_until": null,
"results": [],
"inbox_attributes": {
"status": "active",
"paused_reason": null
}
}Authorizations
OAuth 2.0 authentication.
Path Parameters
Body
application/json
Response
Response for a message lease request to an inbox.
Response for a message lease request to an inbox.
The unique identifier for the lease.
The timestamp until which the messages are leased in ISO 8601 format.
The list of messages leased.
Show child attributes
Show child attributes
Current inbox state surfaced alongside the lease.
Show child attributes
Show child attributes
Last modified on August 20, 2026
Was this page helpful?